:userdoc.

.******************************************************************************
:h1 x=left y=bottom width=100% height=100% res=001.Add Printer Drivers
:p.As installed, eComStation includes drivers for a wide range of printers and
plotters.  This program allows you to add support for additional printers, in
one of two ways&colon.
:ul compact.
:li.Upgrading one of the four main eComStation
:link reftype=fn refid=printerpak.PrinterPak:elink. drivers.
:li.Creating a driver for a new PostScript-compatible printer by importing a
:link reftype=fn refid=ppd.PostScript Printer Description:elink. file.
:eul.
:p.What gets updated in both cases is the list of installable drivers (and the
corresponding files in the :link reftype=fn refid=repository.local driver
repository:elink.).  The new drivers will then be available the next time you
create a new printer object.
:nt.This program does :hp2.not:ehp2. update previously-installed drivers for
existing printer objects.  They will, however, be updated the next time you
install a printer driver which belongs to the same PrinterPak.  See the links
below for more information.:ent.

:p.:link reftype=hd res=003.The user interface:elink..
:p.:link reftype=hd res=002.How it works:elink..


.* ----------------------------------------------------------------------------
:h2 x=left y=bottom width=100% height=100% res=002.Program Operation
:p.Printer drivers are provided as 'driver packages', in which a single driver
library, or :hp2.PrinterPak:ehp2., provides support for numerous individual
printer models.  It is still necessary to 'install' a driver for each specific
model of printer you wish to use (even if the actual files for that PrinterPak
have already been installed for another printer).

:p.The driver for a particular printer model is normally installed when you
create a new printer object (either through the 'Install Printer' utility, or
by using the printer template objects).  The 'Install new printer driver'
button allows you to select the driver to be installed.

:nt.You may also install or update a printer's driver from the 'Printer driver'
page of an existing printer object (by right-clicking on a driver name and
selecting 'Install').:ent.

:p.When installing a printer driver in this way, one of the options is 'Printer
driver shipped with eComStation'.  This provides a list of drivers which are
included in the eComStation operating system.  The installable files for
these drivers are normally located under a directory known as the
:link reftype=fn refid=repository.local repository:elink. of printer drivers.

:p.This program allows you to upgrade the files in the local repository, in the
event that updated versions of :link reftype=fn refid=printerpak.certain
PrinterPak drivers:elink. are released.  It also allows you to add support for
additional PostScript-compatible printers to the repository, by importing a
:link reftype=fn refid=ppd.PostScript Printer Description:elink. (PPD)
file&colon. in effect, creating a new driver for that printer.


.* ----------------------------------------------------------------------------
:h2 x=left y=bottom width=100% height=100% res=003.User Interface
:p.The radio buttons on the main window provide two options&colon.
:parml break=all.
:pt.:hp2.Import PostScript Printer Definition:ehp2.
:pd.Allows you to add support for a new PostScript printer to either the
PSCRIPT PrinterPak driver, or the ECUPS driver used by CUPS, by importing a
vendor-supplied :link reftype=fn refid=ppd.PPD file:elink..
:p.Note that all imported PPD files are saved to a subdirectory of the local
repository.  Whenever you import a new PPD file, all of the saved PPD files
are automatically re-imported along with it.  This is necessary because
the PrinterPak file containing imported drivers (AUXPRINT.PAK) needs to be
recreated from scratch every time an import is performed.

:pt.:hp2.Update standard eComStation driver package:ehp2.
:pd.This option allows you to upgrade (or, in theory, downgrade) one of the
four main preinstalled :link reftype=fn refid=printerpak.PrinterPak
drivers:elink..
:p.You will be prompted for the location of the PrinterPak driver package (in
ZIP format) to be installed.  These packages, when available, may be downloaded
using the eComStation Maintenance Tool.
:eparml.

:p.The :hp2.Begin:ehp2. button starts the selected operation.


.******************************************************************************
:fn id=printerpak.
:p.A :hp2.PrinterPak:ehp2. is a kind of 'omnibus' driver package that supports
many individual printer models.
:p.There are more than a dozen PrinterPaks included with eComStation.  Many of
these are devoted to legacy printer types and do not receive updates.  Four
specific PrinterPaks are, however, updated periodically to add support for new
printer models&colon.
:dl compact break=none tsize=15.
:dt.LASERJET
:dd.PrinterPak driver supporting many PCL-compatible laser printers.
:dt.OMNI
:dd.PrinterPak driver supporting a wide variety of (mostly inkjet) printers.
:dt.PLOTTERS
:dd.PrinterPak driver for various drafting printers and plotters.
:dt.PSCRIPT
:dd.PrinterPak driver for PostScript-compatible printers.
:edl.
:p.This program allows any of these four PrinterPak drivers to be updated.
:efn.

:fn id=ppd.
:p.A :hp2.PostScript Printer Description:ehp2. or :hp2.PPD:ehp2. file is a
special (ASCII) file that describes the capabilities of a specific
PostScript-compatible printer.  By importing its PPD file, it is possible to
effectively create a printer driver for almost any PostScript printer.
:p.You can usually obtain the PPD file for a particular printer from that
printer's manufacturer.  It is typically included in the vendor-supplied
drivers (Windows, Linux, and/or Macintosh) for that printer, although it may
require some effort to locate and extract the correct file from the driver
package.  A PPD file normally has the extension '.PPD'.
:p.When a PPD file is imported successfully, a driver for that printer is
added to the PSCRIPT PrinterPak in the local repository.  You may then install
the new driver by creating a new printer object.
:efn.

:fn id=repository.
:p.The :hp2.local repository:ehp2. of printer drivers is a special directory
on your hard drive under which installable printer drivers are kept.  It
corresponds to the list of printers available under the option 'Printer drivers
shipped with eComStation' when installing a printer driver.
:p.This program will automatically recreate the local repository if it is
missing or damaged (this requires the eComStation installation CD).
:efn.
.******************************************************************************

:euserdoc.
